{# Accordion

Accordion is composed by a list of headers and contents. when a header is clicked
the content is opened and all other contents are closed.

parameters:
  id: give a unique ID to every widget in the page
  class: set additional classes for the widget
  style: additional css style rules for this ID
  btn_class: add a class to buttons on headers
  cards: list of cards with the following parameters
    button: text of headers
    show: if True the card stats opened
    text: content of card

- #}
{%include "include/widget_style.html" -%}
<div class="accordion {{widget.class}}" id="{{widget.id}}">
  {% for i,card in enum_list(widget.cards) -%}
  <div class="accordion-item">
    <h2 class="accordion-header" id="{{widget.id}}-card{{i}}">
      <button class="accordion-button {{widget.btn_class}} {{'' if card.show else 'collapsed'}}" type="button" data-bs-toggle="collapse"
        data-bs-target="#{{widget.id}}-collapse{{i}}" aria-expanded="false" aria-controls="{{widget.id}}-card{{i}}">
        {{card.button}}
      </button>
    </h2>
    <div id="{{widget.id}}-collapse{{i}}" class="accordion-collapse collapse {{'show' if card.show else ''}}" aria-labelledby="{{widget.id}}-collapse{{i}}"
      {% if not widget.open %} data-bs-parent="#{{widget.id}}" {% endif %} >
      <div class="accordion-body">{{card.text}}</div>
    </div>
  </div>
  {% endfor -%}
</div>

